summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-05 08:58:16 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-05 08:58:16 +0200
commit202363dab62195e0c4562758d3f356d84ad64fdf (patch)
tree4a8530d3e1ff1a1c88f9eaae654ebbe1c50cbdf9 /scripts
parentf057e4a2dc1d6d2db4ec7750a43054fe15a1c71e (diff)
ony check for yasm on x86 target
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 9a595ac5e..dbce88a86 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -443,10 +443,12 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
-if [[ -n $NEED_YASM ]]; then
- if ! which yasm >/dev/null 2>&1; then
- echo >&2 You need yasm to build $NEED_YASM
- out=1
+if [[ -n $ADK_LINUX_X86 ]]; then
+ if [[ -n $NEED_YASM ]]; then
+ if ! which yasm >/dev/null 2>&1; then
+ echo >&2 You need yasm to build $NEED_YASM
+ out=1
+ fi
fi
fi